/*
 * Copyright (C) 2022 Camden Dixie O'Brien
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef LUT_H
#define LUT_H

#include "sud.h"

#define NGROUP (NDIGITS - 1)

extern const unsigned rowidx_lut[NCELLS][NGROUP];
extern const unsigned colidx_lut[NCELLS][NGROUP];
extern const unsigned segidx_lut[NCELLS][NGROUP];

#endif
